Subject: net: macb: fail when there's no PHY

From: Grant Edwards <[email-masked]>
Date: Thu, 21 Sep 2017 14:59:05 -0500

Several years back (circa 2.6.33) I had to hack up macb.c to work on
an at91 board that didn't have a PHY connected to the macb controller.
Now I might need to get a recent kernel version running on that board.

It looks like the macb driver still can't handle boards that don't
have a PHY.  Is that correct?

What's the right way to deal with this?

With the older macb driver, I ended up adding code to macb.c that
presented a "fake" PHY that discarded MDIO writes and returned some
hard-wired values for MDIO reads.  That seemed like a pretty ugly way
to deal with the situation, so I never bothered to submit a patch.

-- 
Grant Edwards
[email-masked]